Bug 36440

Summary: Add edit buttons for patron flags in attention box
Product: Koha Reporter: David Gustafsson <glasklas>
Component: Staff interfaceAssignee: David Gustafsson <glasklas>
Status: Needs documenting --- QA Contact: Emily Lamancusa <emily.lamancusa>
Severity: enhancement    
Priority: P5 - low CC: emily.lamancusa, fridolin.somers, gmcharlt, lucas
Version: Main   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00
Attachments: Patron details
Bug 36440: Add edit buttons for patron flags in attention box
Patron details
Bug 36440: Add edit buttons for patron flags in attention box
Bug 36440: Add edit buttons for patron flags in attention box
Bug 36440: Add edit buttons for patron flags in attention box
Bug 36440: (QA follow-up) Update op parameter

Description David Gustafsson 2024-03-27 16:42:48 UTC
This patch adds edit buttons for patron flags in attention box and show flag status in detail view. See attached screenshot.
Comment 1 David Gustafsson 2024-03-27 16:43:31 UTC
Created attachment 164010 [details]
Patron details
Comment 2 David Gustafsson 2024-03-27 16:50:20 UTC
Created attachment 164012 [details] [review]
Bug 36440: Add edit buttons for patron flags in attention box

Add edit buttons for patron flags in attention box and show
flag status in detail view

To test:
1) Go to patron details for a patron with address in
   doubt and card lost flags set and verify these are
   highlighted under "Library use" and the patron messages
   has edit buttons that links to the modfiy patron page.

Sponsored-by: Gothenburg University
Comment 3 David Gustafsson 2024-03-27 16:57:33 UTC
Created attachment 164015 [details]
Patron details
Comment 4 Lucas Gass 2024-03-27 17:01:09 UTC
David, 

The links for each button lead to a 404 error. You need the full path I think:

/cgi-bin/koha/members/memberentry.pl?
Comment 5 David Gustafsson 2024-03-27 17:30:24 UTC
Created attachment 164017 [details] [review]
Bug 36440: Add edit buttons for patron flags in attention box

Add edit buttons for patron flags in attention box and show
flag status in detail view

To test:
1) Go to patron details for a patron with address in
   doubt and card lost flags set and verify these are
   highlighted under "Library use" and the patron messages
   has edit buttons that links to the modfiy patron page.

Sponsored-by: Gothenburg University
Comment 6 David Gustafsson 2024-03-27 17:31:04 UTC
Yes, you are right. This has now been fixed.
Comment 7 Lucas Gass 2024-03-27 17:33:31 UTC
Created attachment 164018 [details] [review]
Bug 36440: Add edit buttons for patron flags in attention box

Add edit buttons for patron flags in attention box and show
flag status in detail view

To test:
1) Go to patron details for a patron with address in
   doubt and card lost flags set and verify these are
   highlighted under "Library use" and the patron messages
   has edit buttons that links to the modfiy patron page.

Sponsored-by: Gothenburg University
Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 8 Emily Lamancusa 2024-05-10 20:36:45 UTC
Created attachment 166608 [details] [review]
Bug 36440: Add edit buttons for patron flags in attention box

Add edit buttons for patron flags in attention box and show
flag status in detail view

To test:
1) Go to patron details for a patron with address in
   doubt and card lost flags set and verify these are
   highlighted under "Library use" and the patron messages
   has edit buttons that links to the modfiy patron page.

Sponsored-by: Gothenburg University
Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Emily Lamancusa <emily.lamancusa@montgomerycountymd.gov>
Comment 9 Emily Lamancusa 2024-05-10 20:36:48 UTC
Created attachment 166609 [details] [review]
Bug 36440: (QA follow-up) Update op parameter

Signed-off-by: Emily Lamancusa <emily.lamancusa@montgomerycountymd.gov>
Comment 10 Emily Lamancusa 2024-05-10 20:41:45 UTC
Added a follow-up for CSRF. The change is straightforward, and QA tests pass. Passing QA.
Comment 11 Katrin Fischer 2024-05-13 11:37:24 UTC
(In reply to Emily Lamancusa from comment #10)
> Added a follow-up for CSRF. The change is straightforward, and QA tests
> pass. Passing QA.

Thanks Emily!
Comment 12 Katrin Fischer 2024-05-13 12:02:33 UTC
Pushed for 24.05!

Well done everyone, thank you!
Comment 13 Fridolin Somers 2024-05-29 12:24:57 UTC
Not backported to 23.11.x